# $Revision: 1.13 $, $Date: 2003/03/23 23:42:31 $
# conditional build
# _without_dist_kernel - without distribution kernel

%define		_orig_name	Device3Dfx

Summary:	Device driver for 3Dfx boards for 2.[0-2] kernels
Summary(pl):	Sterownik DRM do kart 3Dfx
Name:		kernel-video-%{_orig_name}
Version:	2.3
%define _rel	14
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	%{_orig_name}-%{version}.tar.gz
Patch0:		%{_orig_name}-Makefile.patch
Icon:		3dfx.gif
%{!?_without_dist_kernel:BuildRequires:	kernel-headers < 2.4.0 }
PreReq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Obsoletes:	%{_orig_name}
Exclusivearch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package installs the 3Dfx device driver to allow access to 3Dfx
boards without the user having root privledges. It should work on both
2.0 and 2.1/2.2 kernels and set the MTRR settings correctly.

%description -l pl
Ten pakiet zawiera driver do kart 3Dfx pozwalajcy na udostpnienie
karty bez dawania uytkownikom praw roota. Powinien dziaa z jdrami
2.0 oraz 2.1/2.2 (take z wieloprocesorowymi 2.1/2.2) i ustawia
prawidowo MTRR.

%package -n kernel-smp-video-%{_orig_name}
Summary:	Device driver for 3Dfx boards for 2.[0-2] kernels SMP
Summary(pl):	Sterownik DRM do kart 3Dfx dla kerneli SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
PreReq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Obsoletes:	%{_orig_name}

%description -n kernel-smp-video-%{_orig_name}
This package installs the 3Dfx device driver to allow access to 3Dfx
boards without the user having root privledges. It should work on both
2.0 and 2.1/2.2 SMP kernels and set the MTRR settings correctly.

%description -n kernel-smp-video-%{_orig_name} -l pl
Ten pakiet zawiera driver do kart 3Dfx pozwalajcy na udostpnienie
karty bez dawania uytkownikom praw roota. Powinien dziaa z jdrami
2.0 oraz wieloprocesorowymi (SMP) 2.1/2.2 i ustawia prawidowo MTRR.

%prep
%setup -c -q
%patch -p1

%build
%{__cc} -I%{_kernelsrcdir}/include -D__KERNEL_SMP=1 -o kinfo kinfo.c
ln -sf /bin/true grep
( PATH=.:$PATH %{__make} 3dfx.o \
	ARCH="%{arch}" \
	CFLAGS="-DMODULE -D__KERNEL__ -D__KERNEL_SMP=1 %{rpmcflags} \
	-fomit-frame-pointer -I%{_kernelsrcdir}/include \
	-fno-strength-reduce -fno-strict-aliasing" )
mv -f 3dfx.o 3dfx.o-smp

( PATH=.:$PATH %{__make} clean )
%{__cc} -I%{_kernelsrcdir}/include -o kinfo kinfo.c
ln -sf /bin/true grep
( PATH=.:$PATH %{__make} 3dfx.o \
	ARCH="%{arch}" \
	CFLAGS="-DMODULE -D__KERNEL__ %{rpmcflags} \
	-fomit-frame-pointer -I%{_kernelsrcdir}/include \
	-fno-strength-reduce -fno-strict-aliasing" )

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc

install 3dfx.o-smp $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/3dfx.o
install 3dfx.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/3dfx.o

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-video-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-video-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-video-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-video-Device3Dfx.spec,v $
Revision 1.13  2003/03/23 23:42:31  blues
- release 14; rebuild with 2.2.25

Revision 1.12  2002/10/12 17:40:52  kloczek
- typo in %install.

Revision 1.11  2002/08/18 18:18:44  kloczek
- typo.

Revision 1.10  2002/08/18 17:53:39  kloczek
- release 13: rebuild against kernel 2.2.21.

Revision 1.9  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.8  2002/03/04 22:26:18  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.11

Revision 1.7  2002/02/26 15:20:56  qboosh
- use requires_releq_kernel_{up,smp} macros, release 10

Revision 1.6  2002/02/23 22:06:30  saq
- changed Conflicts: wrong-kernel to Requires: right-kernel
- release 9, STBR

Revision 1.5  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/19 18:53:34  gotar
- %desc

Revision 1.3  2002/02/11 01:44:03  kloczek
- adapterized.

Revision 1.2  2002/02/10 19:12:53  marcus
- rel. 8 (for build with 2.2.20-10 and 2.4)

Revision 1.1  2002/01/27 17:48:38  marcus
- new spec based on Device3Dfx.spec and kernel-{net,video}*.spec
